gtksourceviewmm: Gsv Namespace Reference

gtksourceviewmm 3.12.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Classes | Enumerations | Functions
Gsv Namespace Reference

## Classes
class | Buffer
| Buffer object for View. More...
class | Completion
| Main Completion Object. More...
class | CompletionContext
| CompletionContext. More...
class | CompletionInfo
| Calltips object. More...
class | CompletionItem
| CompletionItem. More...
class | CompletionProposal
| Completion proposal object. More...
class | CompletionProvider
| Completion provider interface. More...
class | CompletionWords
| Words completion provider. More...
class | Gutter
| Gutter object for View. More...
class | GutterRenderer
class | GutterRendererPixbuf
class | GutterRendererText
class | Language
| Object representing a syntax highlighted language. More...
class | LanguageManager
| Class which provides access to SourceLanguages. More...
class | Mark
| Mark class for Buffer. More...
class | MarkAttributes
class | Markup
| It is just a class holding markup string. More...
class | PrintCompositor
| Compose a Buffer for printing. More...
class | SourceCompletionError
class | Style
| Class representing a style. More...
class | StyleScheme
| Object controlling appearance of View. More...
class | StyleSchemeManager
| Class providing access to SourceStyleSchemes. More...
class | UndoManager
| Undo manager interface for View. More...
class | View
| The view object. More...

## Enumerations
enum | BracketMatchType { BRACKET_MATCH_NONE, BRACKET_MATCH_OUT_OF_RANGE, BRACKET_MATCH_NOT_FOUND, BRACKET_MATCH_FOUND }
| Describes result of matching brackets. More...
enum | CompletionActivation { COMPLETION_ACTIVATION_NONE = 0x0, COMPLETION_ACTIVATION_INTERACTIVE = 1 << 0, COMPLETION_ACTIVATION_USER_REQUESTED = 1 << 1 }
| An enum type specifying something bla bla bla, probably type of activation. More...
enum | GutterRendererState { GUTTER_RENDERER_STATE_NORMAL = 0x0, GUTTER_RENDERER_STATE_CURSOR = 1 << 0, GUTTER_RENDERER_STATE_PRELIT = 1 << 1, GUTTER_RENDERER_STATE_SELECTED = 1 << 2 }
enum | GutterRendererAlignmentMode { GUTTER_RENDERER_ALIGNMENT_MODE_CELL, GUTTER_RENDERER_ALIGNMENT_MODE_FIRST, GUTTER_RENDERER_ALIGNMENT_MODE_LAST }
enum | SmartHomeEndType { SMART_HOME_END_DISABLED, SMART_HOME_END_BEFORE, SMART_HOME_END_AFTER, SMART_HOME_END_ALWAYS }
| Defines a behaviour of smart Home/End keys. More...
enum | DrawSpacesFlags { DRAW_SPACES_SPACE = 1 << 0, DRAW_SPACES_TAB = 1 << 1, DRAW_SPACES_NEWLINE = 1 << 2, DRAW_SPACES_NBSP = 1 << 3, DRAW_SPACES_LEADING = 1 << 4, DRAW_SPACES_TEXT = 1 << 5, DRAW_SPACES_TRAILING = 1 << 6, DRAW_SPACES_ALL = 0x7F }
| Determines what kind of whitespaces whould be drawn. More...

## Functions
CompletionActivation | operator| (CompletionActivation lhs, CompletionActivation rhs)
CompletionActivation | operator& (CompletionActivation lhs, CompletionActivation rhs)
CompletionActivation | operator^ (CompletionActivation lhs, CompletionActivation rhs)
CompletionActivation | operator~ (CompletionActivation flags)
CompletionActivation& | operator|= (CompletionActivation& lhs, CompletionActivation rhs)
CompletionActivation& | operator&= (CompletionActivation& lhs, CompletionActivation rhs)
CompletionActivation& | operator^= (CompletionActivation& lhs, CompletionActivation rhs)
GutterRendererState | operator| (GutterRendererState lhs, GutterRendererState rhs)
GutterRendererState | operator& (GutterRendererState lhs, GutterRendererState rhs)
GutterRendererState | operator^ (GutterRendererState lhs, GutterRendererState rhs)
GutterRendererState | operator~ (GutterRendererState flags)
GutterRendererState& | operator|= (GutterRendererState& lhs, GutterRendererState rhs)
GutterRendererState& | operator&= (GutterRendererState& lhs, GutterRendererState rhs)
GutterRendererState& | operator^= (GutterRendererState& lhs, GutterRendererState rhs)
DrawSpacesFlags | operator| (DrawSpacesFlags lhs, DrawSpacesFlags rhs)
DrawSpacesFlags | operator& (DrawSpacesFlags lhs, DrawSpacesFlags rhs)
DrawSpacesFlags | operator^ (DrawSpacesFlags lhs, DrawSpacesFlags rhs)
DrawSpacesFlags | operator~ (DrawSpacesFlags flags)
DrawSpacesFlags& | operator|= (DrawSpacesFlags& lhs, DrawSpacesFlags rhs)
DrawSpacesFlags& | operator&= (DrawSpacesFlags& lhs, DrawSpacesFlags rhs)
DrawSpacesFlags& | operator^= (DrawSpacesFlags& lhs, DrawSpacesFlags rhs)
void | init ()
| Initializes all type internals. More...

## Function Documentation

void Gsv::init | ( |  | ) |

Initializes all type internals.